<Manage::Container {{did-insert this.setup}} ...attributes @title={{capitalize (t "new feature")}} @breadcrumbs={{@breadcrumbs}}>
  <:content>
    <Manage::RowAdd @name="name" as |id|>
      <Input id={{id}} class="form-control input-name" @value={{@feature.name}} placeholder={{capitalize (t "what is the feature name?")}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="map" as |id|>
      {{#if this.user.isAdmin}}
        <Manage::SelectWithVisibility @id={{id}} @list={{@maps}} @value={{@feature.firstMap}} @onChange={{this.updateMap}} @areAllShowing={{@all}} @toggleAll={{@onToggleAll}} />
      {{else}}
        <Input::Select id={{id}} @list={{@maps}} @value={{this.map}} @onChange={{this.updateMap}} />
      {{/if}}
    </Manage::RowAdd>

    <Manage::RowAdd @name="geometry" class="manage-geometry">
      <Input::Geometry @extent={{this.extent}} @focusExtent={{true}} @baseMaps={{@baseMaps}} @value={{@feature.position}} @onChange={{this.changePositionValue}} />
    </Manage::RowAdd>

    <Manage::Row @name="add">
      <Input::Button class="btn btn-primary btn-submit" @disabled={{this.isInvalid}} @action={{this.save}}>
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>